<?php
declare(strict_types=1);

namespace PPAM\PpamBasement\DataProcessing;

use PPAM\PpamBasement\Utility\TypoScriptUtility;
use TYPO3\CMS\Frontend\ContentObject\ContentObjectRenderer;
use TYPO3\CMS\Frontend\ContentObject\DataProcessorInterface;
use TYPO3\CMS\Frontend\ContentObject\Exception\ContentRenderingException;

/**
 *
 */
class ConstantsProcessor implements DataProcessorInterface
{
    /**
     * @param ContentObjectRenderer $cObj
     * @param array $contentObjectConfiguration
     * @param array $processorConfiguration
     * @param array $processedData
     * @return array
     * @throws ContentRenderingException
     */
    public function process(ContentObjectRenderer $cObj, array $contentObjectConfiguration, array $processorConfiguration, array $processedData): array
    {
        $key = (string)$cObj->stdWrapValue('key', $processorConfiguration);
        if ($key === '') {
            $key = 'page';
        }

        $constants = TypoScriptUtility::getConstantsByPrefix($cObj->getRequest(), $key);
        $constants = TypoScriptUtility::unflatten($constants);

        // Set the target variable
        $targetVariableName = (string)$cObj->stdWrapValue('as', $processorConfiguration);
        if ($targetVariableName !== '') {
            $processedData[$targetVariableName] = $constants;
        } else {
            $processedData['constants'] = $constants;
        }

        return $processedData;
    }

}
