<?php
declare(strict_types=1);

use B13\Container\Tca\ContainerConfiguration;
use B13\Container\Tca\Registry;
use TYPO3\CMS\Core\Utility\GeneralUtility;

defined('TYPO3') or die('Access denied.');

GeneralUtility::makeInstance(Registry::class)->configureContainer(
    (new ContainerConfiguration(
        'container_content_area',
        'LLL:EXT:ppam_basement/Resources/Private/Language/Backend.xlf:container.container_content_area.name',
        '',
        [
            [
                [
                    'name' => 'LLL:EXT:ppam_basement/Resources/Private/Language/Backend.xlf:container.column.content',
                    'colPos' => 101,
                    'disallowed' => [
                        'CType' => 'container_content_area'
                    ]
                ]
            ]
        ]
    ))
);
GeneralUtility::makeInstance(Registry::class)->configureContainer(
    (
    new ContainerConfiguration(
        'container_1_columns',
        'LLL:EXT:ppam_basement/Resources/Private/Language/Backend.xlf:container.container_1_columns.name',
        '',
        [
            [
                [
                    'name' => 'LLL:EXT:ppam_basement/Resources/Private/Language/Backend.xlf:container.column.middle',
                    'colPos' => 201,
                    'disallowed' => [
                        'CType' => 'container_content_area'
                    ]
                ]
            ]
        ]
    )
    )->setIcon('EXT:ppam_basement/Resources/Public/Icons/ContentElements/container-columns-1.svg')
);
GeneralUtility::makeInstance(Registry::class)->configureContainer(
    (
    new ContainerConfiguration(
        'container_2_columns',
        'LLL:EXT:ppam_basement/Resources/Private/Language/Backend.xlf:container.container_2_columns.name',
        '',
        [
            [
                [
                    'name' => 'LLL:EXT:ppam_basement/Resources/Private/Language/Backend.xlf:container.column.left',
                    'colPos' => 201,
                    'disallowed' => [
                        'CType' => 'container_content_area'
                    ]
                ],
                [
                    'name' => 'LLL:EXT:ppam_basement/Resources/Private/Language/Backend.xlf:container.column.right',
                    'colPos' => 202,
                    'disallowed' => [
                        'CType' => 'container_content_area'
                    ]
                ]
            ]
        ]
    )
    )->setIcon('EXT:ppam_basement/Resources/Public/Icons/ContentElements/container-columns-2.svg')
);
GeneralUtility::makeInstance(Registry::class)->configureContainer(
    (
    new ContainerConfiguration(
        'container_2_columns_right',
        'LLL:EXT:ppam_basement/Resources/Private/Language/Backend.xlf:container.container_2_columns_right.name',
        '',
        [
            [
                [
                    'name' => 'LLL:EXT:ppam_basement/Resources/Private/Language/Backend.xlf:container.column.left',
                    'colspan' => 1,
                    'colPos' => 201,
                    'disallowed' => [
                        'CType' => 'container_content_area'
                    ]
                ],
                [
                    'name' => 'LLL:EXT:ppam_basement/Resources/Private/Language/Backend.xlf:container.column.right',
                    'colspan' => 3,
                    'colPos' => 202,
                    'disallowed' => [
                        'CType' => 'container_content_area'
                    ]
                ]
            ]
        ]
    )
    )->setIcon('EXT:ppam_basement/Resources/Public/Icons/ContentElements/container-columns-2-right.svg')
);
GeneralUtility::makeInstance(Registry::class)->configureContainer(
    (
    new ContainerConfiguration(
        'container_2_columns_left',
        'LLL:EXT:ppam_basement/Resources/Private/Language/Backend.xlf:container.container_2_columns_left.name',
        '',
        [
            [
                [
                    'name' => 'LLL:EXT:ppam_basement/Resources/Private/Language/Backend.xlf:container.column.left',
                    'colspan' => 3,
                    'colPos' => 201,
                    'disallowed' => [
                        'CType' => 'container_content_area'
                    ]
                ],
                [
                    'name' => 'LLL:EXT:ppam_basement/Resources/Private/Language/Backend.xlf:container.column.right',
                    'colspan' => 2,
                    'colPos' => 202,
                    'disallowed' => [
                        'CType' => 'container_content_area'
                    ]
                ]
            ]
        ]
    )
    )->setIcon('EXT:ppam_basement/Resources/Public/Icons/ContentElements/container-columns-2-left.svg')
);
GeneralUtility::makeInstance(Registry::class)->configureContainer(
    (
    new ContainerConfiguration(
        'container_3_columns',
        'LLL:EXT:ppam_basement/Resources/Private/Language/Backend.xlf:container.container_3_columns.name',
        '',
        [
            [
                [
                    'name' => 'LLL:EXT:ppam_basement/Resources/Private/Language/Backend.xlf:container.column.left',
                    'colPos' => 201,
                    'disallowed' => [
                        'CType' => 'container_content_area'
                    ]
                ],
                [
                    'name' => 'LLL:EXT:ppam_basement/Resources/Private/Language/Backend.xlf:container.column.middle',
                    'colPos' => 203,
                    'disallowed' => [
                        'CType' => 'container_content_area'
                    ]
                ],
                [
                    'name' => 'LLL:EXT:ppam_basement/Resources/Private/Language/Backend.xlf:container.column.right',
                    'colPos' => 202,
                    'disallowed' => [
                        'CType' => 'container_content_area'
                    ]
                ]
            ]
        ]
    )
    )->setIcon('EXT:ppam_basement/Resources/Public/Icons/ContentElements/container-columns-3.svg')
);
GeneralUtility::makeInstance(Registry::class)->configureContainer(
    (
    new ContainerConfiguration(
        'container_4_columns',
        'LLL:EXT:ppam_basement/Resources/Private/Language/Backend.xlf:container.container_4_columns.name',
        '',
        [
            [
                [
                    'name' => 'LLL:EXT:ppam_basement/Resources/Private/Language/Backend.xlf:container.column.left',
                    'colPos' => 201,
                    'disallowed' => [
                        'CType' => 'container_content_area'
                    ]
                ],
                [
                    'name' => 'LLL:EXT:ppam_basement/Resources/Private/Language/Backend.xlf:container.column.middle_left',
                    'colPos' => 203,
                    'disallowed' => [
                        'CType' => 'container_content_area'
                    ]
                ],
                [
                    'name' => 'LLL:EXT:ppam_basement/Resources/Private/Language/Backend.xlf:container.column.middle_right',
                    'colPos' => 204,
                    'disallowed' => [
                        'CType' => 'container_content_area'
                    ]
                ],
                [
                    'name' => 'LLL:EXT:ppam_basement/Resources/Private/Language/Backend.xlf:container.column.right',
                    'colPos' => 202,
                    'disallowed' => [
                        'CType' => 'container_content_area'
                    ]
                ]
            ]
        ]
    )
    )->setIcon('EXT:ppam_basement/Resources/Public/Icons/ContentElements/container-columns-4.svg')
);
